###################################################
### chunk number 1: 
###################################################
#line 24 "d:/Rcompile/CRANpkg/local/2.12/MuMIn/inst/doc/gamm.Rnw"
suppressPackageStartupMessages(suppressWarnings({
library(gamm4)
library(mgcv)
library(MuMIn)
}))

set.seed(0)


###################################################
### chunk number 2: 
###################################################
#line 58 "d:/Rcompile/CRANpkg/local/2.12/MuMIn/inst/doc/gamm.Rnw"
gamm <-
    function(...)
    structure(c(mgcv::gamm(...), list(call=match.call(mgcv::gamm))),
	class=c("gamm", "list"))


###################################################
### chunk number 3: 
###################################################
#line 65 "d:/Rcompile/CRANpkg/local/2.12/MuMIn/inst/doc/gamm.Rnw"
gamm4 <-
    function(...)
    structure(c(gamm4::gamm4(...), list(call=match.call(gamm4::gamm4))),
	class=c("gamm", "list"))


###################################################
### chunk number 4: 
###################################################
#line 83 "d:/Rcompile/CRANpkg/local/2.12/MuMIn/inst/doc/gamm.Rnw"
logLik.gamm <-
    function (object, ...) logLik(object[[if(is.null(object$lme))
    "mer" else "lme"]], ...)
formula.gamm <-
    function (x, ...) formula(x$gam, ...)
nobs.gamm <-
    function (object, ...)  nobs(object$gam, ...)


###################################################
### chunk number 5: 
###################################################
#line 101 "d:/Rcompile/CRANpkg/local/2.12/MuMIn/inst/doc/gamm.Rnw"

dat <- gamSim(6,n=100,scale=.2,dist="normal")
fm1 <- gamm(y~x0+x1+x2+x3,data=dat,random=list(fac=~1), method="ML")
fm2 <- lme(y~x0+x1+x2+x3,data=dat,random=list(fac=~1), method="ML")

logLik(fm1$lme)
logLik(fm2)


###################################################
### chunk number 6: 
###################################################
#line 112 "d:/Rcompile/CRANpkg/local/2.12/MuMIn/inst/doc/gamm.Rnw"
dat <- gamSim(6,n=100,scale=.2,dist="poisson")
fmg1 <- gamm4(y ~ x0+x1+x2+x3, family=poisson, data=dat,random=~ (1|fac))
fmg2 <- lmer(y ~ x0+x1 + x2 + x3 + (1|fac), family=poisson, data=dat)

logLik(fmg1$mer)
logLik(fmg2)


###################################################
### chunk number 7: 
###################################################
#line 125 "d:/Rcompile/CRANpkg/local/2.12/MuMIn/inst/doc/gamm.Rnw"

fmgs1 <- gamm4(y ~ x0+ s(x1, k=3, fx=TRUE)+ x2+ x3, family=poisson, data=dat,
	random=~ (1|fac))
fmgs2 <- lmer(y ~ x0+ x1 + I(x1^2) + x2+ x3 + (1|fac), family=poisson, data=dat)
logLik(fmgs1$mer)
logLik(fmgs2)



###################################################
### chunk number 8: 
###################################################
#line 140 "d:/Rcompile/CRANpkg/local/2.12/MuMIn/inst/doc/gamm.Rnw"
nobs.gam <- function (object, ...)  stats:::nobs.glm(object, ...)


###################################################
### chunk number 9: 
###################################################
#line 145 "d:/Rcompile/CRANpkg/local/2.12/MuMIn/inst/doc/gamm.Rnw"
coeffs.gamm <- function (model) coef(model$gam)
getAllTerms.gamm <- function (x, ...) getAllTerms(x$gam, ...)
tTable.gamm <- function (model, ...) tTable(model$gam, ...)


###################################################
### chunk number 10: 
###################################################
#line 158 "d:/Rcompile/CRANpkg/local/2.12/MuMIn/inst/doc/gamm.Rnw"

set.seed(0)
dat <- gamSim(6, n=100, scale=5, dist="normal")

fmgs2 <- gamm(y ~1+ s(x0)+ s(x3) + s(x2), family=gaussian, data=dat,
	random = list(fac=~1))


###################################################
### chunk number 11: 
###################################################
#line 168 "d:/Rcompile/CRANpkg/local/2.12/MuMIn/inst/doc/gamm.Rnw"
head(dd2 <- dredge(fmgs2))


###################################################
### chunk number 12: 
###################################################
#line 173 "d:/Rcompile/CRANpkg/local/2.12/MuMIn/inst/doc/gamm.Rnw"

summary(model.avg(dd2, subset= cumsum(weight) <= .95))



